### Constructor

# Gio InetAddressMask new

since: 2.32

#### Declaration [src]

    GInetAddressMask*
    g_inet_address_mask_new (
      GInetAddress* addr,
      guint length,
      GError** error
    )

#### Description [src]

Creates a new `GInetAddressMask` representing all addresses whose first `length` bits match `addr`.

Available since: 2.32

#### Parameters

`addr`

  Type: `GInetAddress`

  A `GInetAddress`.

  The data is owned by the caller of the function.

`length`

  Type: `guint`

  Number of bits of `addr` to use.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInetAddressMask`

A new `GInetAddressMask`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.